Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class PascalConvolutionGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.RandomVariateGenInt
              umontreal.iro.lecuyer.randvar.PascalGen
                  umontreal.iro.lecuyer.randvar.PascalConvolutionGen

    public class PascalConvolutionGen

extends PascalGen

Implements Pascal random variate generators by the convolution method. The method generates n geometric variates with probability p and adds them up.

The algorithm is slow if n is large.

Constructor Summary
`PascalConvolutionGen(RandomStream s, int n, double p)` Creates a Pascal random variate generator with parameters n and p, using stream `s`.
`PascalConvolutionGen(RandomStream s, PascalDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`int` | `nextInt()` Generates a random number (an integer) from the discrete distribution contained in this object.
`static int` | `nextInt(RandomStream s, int n, double p)`

Methods inherited from class umontreal.iro.lecuyer.randvar.PascalGen
`getN, getP`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGenInt
`getDistribution, nextArrayOfInt`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PascalConvolutionGen

    public PascalConvolutionGen(RandomStream s,
                                int n,
                                double p)

  Creates a Pascal random variate generator with parameters n and p, using stream `s`.

### PascalConvolutionGen

    public PascalConvolutionGen(RandomStream s,
                                PascalDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextInt

    public int nextInt()

  Description copied from class: `RandomVariateGenInt`
  Generates a random number (an integer) from the discrete distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextInt` in class `RandomVariateGenInt`
  Returns:
    the generated value

### nextInt

    public static int nextInt(RandomStream s,
                              int n,
                              double p)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.